REM MonolithChineseInputEnvironment Uninstaller
@echo off
echo Soon, it will be starting to uninstall MonolithCIE.
timeout /t 10

echo killing processes
taskkill /f /im HotkeyP.exe
echo done

echo uninstalling pywin32
"C:\Python34\Removepywin32.exe" -u "C:\Python34\pywin32-wininst.log"
echo done

echo uninstalling SentinelFEP
rmdir /s /q "%PROGRAMFILES%\SentinelFEP\"
echo done

echo uninstalling HotkeyP
reg import .\APPS\hotkeyp\default_uninstall.reg
rmdir /s /q "%PROGRAMFILES%\hotkeyp\"
echo done

echo uninstalling infi.systray keyboard Pinyin2Hanzi
C:\Python34\python.exe -m pip uninstall -y infi.systray keyboard Pinyin2Hanzi

echo All processes have done.
timeout /t -1 /nobreak